<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
TransactionConfig..::.NoWait Field
TransactionConfig Class See Also Send Feedback

If true and a lock is unavailable for any Berkeley DB operation performed in the context of a transaction, cause the operation to throw a DeadlockException (or LockNotGrantedException if configured with TimeNotGranted).

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool NoWait

Visual Basic (Declaration)

    Public NoWait As Boolean

Visual C++

    public:
    bool NoWait

# Remarks

This setting overrides the behavior specified by TxnNoWait.

# See Also

TransactionConfig Class
BerkeleyDB Namespace